com.genesyslab.wfm8.API.service.forecast810

## Class FrcOverlay

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast810.FrcOverlay

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcOverlay
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Integer>` | `activities` Overlay Activity IDs
    `protected int` | `activitiesArraySize` Activities array size
    `protected int` | `applicable` Impact applicable to IV (1) or AHT (2)
    `protected int` | `buid` BU ID
    `protected double` | `endImpactPCT` Impact end percentage
    `protected int` | `impactDurationHrs` Impact duration (in hours)
    `protected int` | `impactType` 0 - Impact always calculated by the forecast algorithm; 1 - Impact set by initImpactPCT/endImpactPCT fields; 2 - impact specified by the new impactVector field
    `protected int` | `impactUnit` Daily or hourly impact
    `protected int` | `impactUsage` Impact usage: 1 - Forecast increased by the specified impact (current); 2 - Impact vector distributed over forecast
    `protected java.util.List<java.lang.Double>` | `impactVector` Impact percentage array
    `protected double` | `initImpactPCT` Impact start percenatge
    `protected java.lang.String` | `name` Overlay name
    `protected java.util.List<FrcOverlayEvent>` | `overlayEvents` Overlay events
    `protected int` | `overlayEventsArraySize` Overlay events array size
    `protected int` | `overlayID` Overlay ID
    `private static long` | `serialVersionUID`
    `protected int` | `siteID` Site ID
    `protected int` | `vectorSize` Impact array size
    `protected java.util.List<java.lang.Integer>` | `virtualActivities` Overlay Multi-site Activity IDs
    `protected int` | `virtualActivitiesArraySize` Multi-site Activities array size

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcOverlay()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getActivities()` Gets the activities value for this FrcOverlay.
    `int` | `getActivitiesArraySize()` Gets the activitiesArraySize value for this FrcOverlay.
    `int` | `getApplicable()` Gets the applicable value for this FrcOverlay.
    `int` | `getBUID()` Gets the buid value for this FrcOverlay.
    `double` | `getEndImpactPCT()` Gets the endImpactPCT value for this FrcOverlay.
    `int` | `getImpactDurationHrs()` Gets the impactDurationHrs value for this FrcOverlay.
    `int` | `getImpactType()` Gets the impactType value for this FrcOverlay.
    `int` | `getImpactUnit()` Gets the impactUnit value for this FrcOverlay.
    `int` | `getImpactUsage()` Gets the impactUsage value for this FrcOverlay.
    `java.util.List<java.lang.Double>` | `getImpactVector()` Gets the impactVector value for this FrcOverlay.
    `double` | `getInitImpactPCT()` Gets the initImpactPCT value for this FrcOverlay.
    `java.lang.String` | `getName()` Gets the name value for this FrcOverlay.
    `java.util.List<FrcOverlayEvent>` | `getOverlayEvents()` Gets the overlayEvents value for this FrcOverlay.
    `int` | `getOverlayEventsArraySize()` Gets the overlayEventsArraySize value for this FrcOverlay.
    `int` | `getOverlayID()` Gets the overlayID value for this FrcOverlay.
    `int` | `getSiteID()` Gets the siteID value for this FrcOverlay.
    `int` | `getVectorSize()` Gets the vectorSize value for this FrcOverlay.
    `java.util.List<java.lang.Integer>` | `getVirtualActivities()` Gets the virtualActivities value for this FrcOverlay.
    `int` | `getVirtualActivitiesArraySize()` Gets the virtualActivitiesArraySize value for this FrcOverlay.
    `int` | `hashCode()`
    `void` | `setActivities(java.util.List<java.lang.Integer> activities)` Sets the activities value for this FrcOverlay.
    `void` | `setActivitiesArraySize(int activitiesArraySize)` Sets the activitiesArraySize value for this FrcOverlay.
    `void` | `setApplicable(int applicable)` Sets the applicable value for this FrcOverlay.
    `void` | `setBUID(int buid)` Sets the buid value for this FrcOverlay.
    `void` | `setEndImpactPCT(double endImpactPCT)` Sets the endImpactPCT value for this FrcOverlay.
    `void` | `setImpactDurationHrs(int impactDurationHrs)` Sets the impactDurationHrs value for this FrcOverlay.
    `void` | `setImpactType(int impactType)` Sets the impactType value for this FrcOverlay.
    `void` | `setImpactUnit(int impactUnit)` Sets the impactUnit value for this FrcOverlay.
    `void` | `setImpactUsage(int impactUsage)` Sets the impactUsage value for this FrcOverlay.
    `void` | `setImpactVector(java.util.List<java.lang.Double> impactVector)` Sets the impactVector value for this FrcOverlay.
    `void` | `setInitImpactPCT(double initImpactPCT)` Sets the initImpactPCT value for this FrcOverlay.
    `void` | `setName(java.lang.String name)` Sets the name value for this FrcOverlay.
    `void` | `setOverlayEvents(java.util.List<FrcOverlayEvent> overlayEvents)` Sets the overlayEvents value for this FrcOverlay.
    `void` | `setOverlayEventsArraySize(int overlayEventsArraySize)` Sets the overlayEventsArraySize value for this FrcOverlay.
    `void` | `setOverlayID(int overlayID)` Sets the overlayID value for this FrcOverlay.
    `void` | `setSiteID(int siteID)` Sets the siteID value for this FrcOverlay.
    `void` | `setVectorSize(int vectorSize)` Sets the vectorSize value for this FrcOverlay.
    `void` | `setVirtualActivities(java.util.List<java.lang.Integer> virtualActivities)` Sets the virtualActivities value for this FrcOverlay.
    `void` | `setVirtualActivitiesArraySize(int virtualActivitiesArraySize)` Sets the virtualActivitiesArraySize value for this FrcOverlay.
    `java.lang.String` | `toString()`
    `FrcOverlay` | `withActivities(java.util.Collection<java.lang.Integer> values)`
    `FrcOverlay` | `withActivities(java.lang.Integer... values)`
    `FrcOverlay` | `withActivitiesArraySize(int value)`
    `FrcOverlay` | `withApplicable(int value)`
    `FrcOverlay` | `withBUID(int value)`
    `FrcOverlay` | `withEndImpactPCT(double value)`
    `FrcOverlay` | `withImpactDurationHrs(int value)`
    `FrcOverlay` | `withImpactType(int value)`
    `FrcOverlay` | `withImpactUnit(int value)`
    `FrcOverlay` | `withImpactUsage(int value)`
    `FrcOverlay` | `withImpactVector(java.util.Collection<java.lang.Double> values)`
    `FrcOverlay` | `withImpactVector(java.lang.Double... values)`
    `FrcOverlay` | `withInitImpactPCT(double value)`
    `FrcOverlay` | `withName(java.lang.String value)`
    `FrcOverlay` | `withOverlayEvents(java.util.Collection<FrcOverlayEvent> values)`
    `FrcOverlay` | `withOverlayEvents(FrcOverlayEvent... values)`
    `FrcOverlay` | `withOverlayEventsArraySize(int value)`
    `FrcOverlay` | `withOverlayID(int value)`
    `FrcOverlay` | `withSiteID(int value)`
    `FrcOverlay` | `withVectorSize(int value)`
    `FrcOverlay` | `withVirtualActivities(java.util.Collection<java.lang.Integer> values)`
    `FrcOverlay` | `withVirtualActivities(java.lang.Integer... values)`
    `FrcOverlay` | `withVirtualActivitiesArraySize(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### overlayID

          protected int overlayID

      Overlay ID

    - #### siteID

          protected int siteID

      Site ID

    - #### buid

          protected int buid

      BU ID

    - #### name

          protected java.lang.String name

      Overlay name

    - #### applicable

          protected int applicable

      Impact applicable to IV (1) or AHT (2)

    - #### impactType

          protected int impactType

      0 - Impact always calculated by the forecast algorithm; 1 - Impact set by initImpactPCT/endImpactPCT fields; 2 - impact specified by the new impactVector field

    - #### impactUsage

          protected int impactUsage

      Impact usage:
      1 - Forecast increased by the specified impact (current);
      2 - Impact vector distributed over forecast

    - #### initImpactPCT

          protected double initImpactPCT

      Impact start percenatge

    - #### endImpactPCT

          protected double endImpactPCT

      Impact end percentage

    - #### vectorSize

          protected int vectorSize

      Impact array size

    - #### impactVector

          protected java.util.List<java.lang.Double> impactVector

      Impact percentage array

    - #### impactUnit

          protected int impactUnit

      Daily or hourly impact

    - #### impactDurationHrs

          protected int impactDurationHrs

      Impact duration (in hours)

    - #### overlayEventsArraySize

          protected int overlayEventsArraySize

      Overlay events array size

    - #### overlayEvents

          protected java.util.List<FrcOverlayEvent> overlayEvents

      Overlay events

    - #### activitiesArraySize

          protected int activitiesArraySize

      Activities array size

    - #### activities

          protected java.util.List<java.lang.Integer> activities

      Overlay Activity IDs

    - #### virtualActivitiesArraySize

          protected int virtualActivitiesArraySize

      Multi-site Activities array size

    - #### virtualActivities

          protected java.util.List<java.lang.Integer> virtualActivities

      Overlay Multi-site Activity IDs

  - ### Constructor Detail

    - #### FrcOverlay

          public FrcOverlay()

  - ### Method Detail

    - #### getOverlayID

          public int getOverlayID()

      Gets the overlayID value for this FrcOverlay.
      Returns:
        overlayID

    - #### setOverlayID

          public void setOverlayID(int overlayID)

      Sets the overlayID value for this FrcOverlay.
      Parameters:
        `overlayID` -

    - #### getSiteID

          public int getSiteID()

      Gets the siteID value for this FrcOverlay.
      Returns:
        siteID

    - #### setSiteID

          public void setSiteID(int siteID)

      Sets the siteID value for this FrcOverlay.
      Parameters:
        `siteID` -

    - #### getBUID

          public int getBUID()

      Gets the buid value for this FrcOverlay.
      Returns:
        buid

    - #### setBUID

          public void setBUID(int buid)

      Sets the buid value for this FrcOverlay.
      Parameters:
        `buid` -

    - #### getName

          public java.lang.String getName()

      Gets the name value for this FrcOverlay.
      Returns:
        name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name value for this FrcOverlay.
      Parameters:
        `name` -

    - #### getApplicable

          public int getApplicable()

      Gets the applicable value for this FrcOverlay.
      Returns:
        applicable

    - #### setApplicable

          public void setApplicable(int applicable)

      Sets the applicable value for this FrcOverlay.
      Parameters:
        `applicable` -

    - #### getImpactType

          public int getImpactType()

      Gets the impactType value for this FrcOverlay.
      Returns:
        impactType

    - #### setImpactType

          public void setImpactType(int impactType)

      Sets the impactType value for this FrcOverlay.
      Parameters:
        `impactType` -

    - #### getImpactUsage

          public int getImpactUsage()

      Gets the impactUsage value for this FrcOverlay.
      Returns:
        impactUsage

    - #### setImpactUsage

          public void setImpactUsage(int impactUsage)

      Sets the impactUsage value for this FrcOverlay.
      Parameters:
        `impactUsage` -

    - #### getInitImpactPCT

          public double getInitImpactPCT()

      Gets the initImpactPCT value for this FrcOverlay.
      Returns:
        initImpactPCT

    - #### setInitImpactPCT

          public void setInitImpactPCT(double initImpactPCT)

      Sets the initImpactPCT value for this FrcOverlay.
      Parameters:
        `initImpactPCT` -

    - #### getEndImpactPCT

          public double getEndImpactPCT()

      Gets the endImpactPCT value for this FrcOverlay.
      Returns:
        endImpactPCT

    - #### setEndImpactPCT

          public void setEndImpactPCT(double endImpactPCT)

      Sets the endImpactPCT value for this FrcOverlay.
      Parameters:
        `endImpactPCT` -

    - #### getVectorSize

          public int getVectorSize()

      Gets the vectorSize value for this FrcOverlay.
      Returns:
        vectorSize

    - #### setVectorSize

          public void setVectorSize(int vectorSize)

      Sets the vectorSize value for this FrcOverlay.
      Parameters:
        `vectorSize` -

    - #### getImpactVector

          public java.util.List<java.lang.Double> getImpactVector()

      Gets the impactVector value for this FrcOverlay.
      Returns:
        impactVector

    - #### setImpactVector

          public void setImpactVector(java.util.List<java.lang.Double> impactVector)

      Sets the impactVector value for this FrcOverlay.
      Parameters:
        `impactVector` -

    - #### getImpactUnit

          public int getImpactUnit()

      Gets the impactUnit value for this FrcOverlay.
      Returns:
        impactUnit

    - #### setImpactUnit

          public void setImpactUnit(int impactUnit)

      Sets the impactUnit value for this FrcOverlay.
      Parameters:
        `impactUnit` -

    - #### getImpactDurationHrs

          public int getImpactDurationHrs()

      Gets the impactDurationHrs value for this FrcOverlay.
      Returns:
        impactDurationHrs

    - #### setImpactDurationHrs

          public void setImpactDurationHrs(int impactDurationHrs)

      Sets the impactDurationHrs value for this FrcOverlay.
      Parameters:
        `impactDurationHrs` -

    - #### getOverlayEventsArraySize

          public int getOverlayEventsArraySize()

      Gets the overlayEventsArraySize value for this FrcOverlay.
      Returns:
        overlayEventsArraySize

    - #### setOverlayEventsArraySize

          public void setOverlayEventsArraySize(int overlayEventsArraySize)

      Sets the overlayEventsArraySize value for this FrcOverlay.
      Parameters:
        `overlayEventsArraySize` -

    - #### getOverlayEvents

          public java.util.List<FrcOverlayEvent> getOverlayEvents()

      Gets the overlayEvents value for this FrcOverlay.
      Returns:
        overlayEvents

    - #### setOverlayEvents

          public void setOverlayEvents(java.util.List<FrcOverlayEvent> overlayEvents)

      Sets the overlayEvents value for this FrcOverlay.
      Parameters:
        `overlayEvents` -

    - #### getActivitiesArraySize

          public int getActivitiesArraySize()

      Gets the activitiesArraySize value for this FrcOverlay.
      Returns:
        activitiesArraySize

    - #### setActivitiesArraySize

          public void setActivitiesArraySize(int activitiesArraySize)

      Sets the activitiesArraySize value for this FrcOverlay.
      Parameters:
        `activitiesArraySize` -

    - #### getActivities

          public java.util.List<java.lang.Integer> getActivities()

      Gets the activities value for this FrcOverlay.
      Returns:
        activities

    - #### setActivities

          public void setActivities(java.util.List<java.lang.Integer> activities)

      Sets the activities value for this FrcOverlay.
      Parameters:
        `activities` -

    - #### getVirtualActivitiesArraySize

          public int getVirtualActivitiesArraySize()

      Gets the virtualActivitiesArraySize value for this FrcOverlay.
      Returns:
        virtualActivitiesArraySize

    - #### setVirtualActivitiesArraySize

          public void setVirtualActivitiesArraySize(int virtualActivitiesArraySize)

      Sets the virtualActivitiesArraySize value for this FrcOverlay.
      Parameters:
        `virtualActivitiesArraySize` -

    - #### getVirtualActivities

          public java.util.List<java.lang.Integer> getVirtualActivities()

      Gets the virtualActivities value for this FrcOverlay.
      Returns:
        virtualActivities

    - #### setVirtualActivities

          public void setVirtualActivities(java.util.List<java.lang.Integer> virtualActivities)

      Sets the virtualActivities value for this FrcOverlay.
      Parameters:
        `virtualActivities` -

    - #### withOverlayEvents

          public FrcOverlay withOverlayEvents(java.util.Collection<FrcOverlayEvent> values)

    - #### withOverlayEvents

          public FrcOverlay withOverlayEvents(FrcOverlayEvent... values)

    - #### withOverlayEventsArraySize

          public FrcOverlay withOverlayEventsArraySize(int value)

    - #### withActivities

          public FrcOverlay withActivities(java.util.Collection<java.lang.Integer> values)

    - #### withActivities

          public FrcOverlay withActivities(java.lang.Integer... values)

    - #### withActivitiesArraySize

          public FrcOverlay withActivitiesArraySize(int value)

    - #### withVirtualActivities

          public FrcOverlay withVirtualActivities(java.util.Collection<java.lang.Integer> values)

    - #### withVirtualActivities

          public FrcOverlay withVirtualActivities(java.lang.Integer... values)

    - #### withVirtualActivitiesArraySize

          public FrcOverlay withVirtualActivitiesArraySize(int value)

    - #### withImpactVector

          public FrcOverlay withImpactVector(java.util.Collection<java.lang.Double> values)

    - #### withImpactVector

          public FrcOverlay withImpactVector(java.lang.Double... values)

    - #### withVectorSize

          public FrcOverlay withVectorSize(int value)

    - #### withApplicable

          public FrcOverlay withApplicable(int value)

    - #### withBUID

          public FrcOverlay withBUID(int value)

    - #### withImpactDurationHrs

          public FrcOverlay withImpactDurationHrs(int value)

    - #### withImpactType

          public FrcOverlay withImpactType(int value)

    - #### withImpactUnit

          public FrcOverlay withImpactUnit(int value)

    - #### withImpactUsage

          public FrcOverlay withImpactUsage(int value)

    - #### withOverlayID

          public FrcOverlay withOverlayID(int value)

    - #### withSiteID

          public FrcOverlay withSiteID(int value)

    - #### withName

          public FrcOverlay withName(java.lang.String value)

    - #### withInitImpactPCT

          public FrcOverlay withInitImpactPCT(double value)

    - #### withEndImpactPCT

          public FrcOverlay withEndImpactPCT(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.